<?php


namespace App\Entities\PetCliente;

use App\Utils\Entity;

class PetCliente extends Entity
{
    protected $id;
    protected $id_pet;
    protected $id_cliente;

    public static function builder() : PetClienteBuilder
    {
        $assistente_builder = new PetClienteBuilder();
        return $assistente_builder;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getIdPet()
    {
        return $this->id_pet;
    }

    /**
     * @param mixed $id_pet
     */
    public function setIdPet($id_pet): void
    {
        $this->id_pet = $id_pet;
    }

    /**
     * @return mixed
     */
    public function getIdCliente()
    {
        return $this->id_cliente;
    }

    /**
     * @param mixed $id_cliente
     */
    public function setIdCliente($id_cliente): void
    {
        $this->id_cliente = $id_cliente;
    }

}